class Foodcourt::SecondDisplayController < BaseFoodcourtController

  def index
    @display_images = DisplayImage.all
  end

  def show
  end

  def customer_view
    display_type = Lookup.find_by_lookup_type("display_type")
    if !display_type.nil? && display_type.value.to_i == 2
        if params[:status]!= "billed"
      tax_profiles = TaxProfile.all.order("order_by asc")
    else
      tax_profiles = nil
    end
    if ENV["SERVER_MODE"] == 'cloud'
        from = request.host
    else
      from = ""
    end
    ActionCable.server.broadcast "second_display_view_channel",data: params[:data],tax_profiles: tax_profiles,status:params[:status],from:from
    end
    head :no_content
  # end
  end
  #Shop Name in Navbor
  # helper_method :shop_detail
  # def shop_detail
  #   @shop = Shop.first
  # end


end
